---
- name: PGCluster CRD
  tags:
    - install
  block:
  - name: Check if PGCluster CRD Is Installed
    shell: "{{ kubectl_or_oc }} get crd pgclusters.pg.percona.com"
    register: crds_result
    failed_when: false

  - name: Create PGClusters CRD
    command: "{{ kubectl_or_oc }} create -f {{ role_path }}/files/crds/pgclusters-crd.yaml"
    when: crds_result.rc == 1
    ignore_errors: no
    no_log: false

- name: PGPolicies CRD
  tags:
    - install
  block:
  - name: Check if PGPolicies CRD Is Installed
    shell: "{{ kubectl_or_oc }} get crd pgpolicies.pg.percona.com"
    register: crds_result
    failed_when: false

  - name: Create PGPolicies CRD
    command: "{{ kubectl_or_oc }} create -f {{ role_path }}/files/crds/pgpolicies-crd.yaml"
    when: crds_result.rc == 1
    ignore_errors: no
    no_log: false

- name: PGReplicas CRD
  tags:
    - install
  block:
  - name: Check if PGReplicas CRD Is Installed
    shell: "{{ kubectl_or_oc }} get crd pgreplicas.pg.percona.com"
    register: crds_result
    failed_when: false

  - name: Create PGReplicas CRD
    command: "{{ kubectl_or_oc }} create -f {{ role_path }}/files/crds/pgreplicas-crd.yaml"
    when: crds_result.rc == 1
    ignore_errors: no
    no_log: false

- name: PGTasks CRD
  tags:
    - install
  block:
  - name: Check if PGTasks CRD Is Installed
    shell: "{{ kubectl_or_oc }} get crd pgtasks.pg.percona.com"
    register: crds_result
    failed_when: false

  - name: Create PGTasks CRD
    command: "{{ kubectl_or_oc }} create -f {{ role_path }}/files/crds/pgtasks-crd.yaml"
    when: crds_result.rc == 1
    ignore_errors: no
    no_log: false

# - name: PerconaPGCluster CRD
#   tags:
#     - install
#     - update
#   block:
#   - name: Create PerconaPGClusters CRD
#     kubernetes.core.k8s:
#       state: present
#       src: "{{ role_path }}/files/crds/perconapgclusters-crd.yaml"
